#24960 closed defect (wontfix)

Torsocks not builds on old kernels where epoll_pwait isn't implemented

Reported by: Mr Dini Owned by: dgoulet
Priority: Medium Milestone:
Component: Core Tor/Torsocks Version:
Severity: Normal Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

When I tried to compile Torsocks v2.2.0 on an embedded device (with Linux 2.6.31.8 kernel), it gave me this error:

  CC       test_socks5.o
  CCLD     test_socks5
../../src/lib/.libs/libtorsocks.so: undefined reference to `epoll_pwait'
collect2: error: ld returned 1 exit status
Makefile:606: recipe for target 'test_socks5' failed
make[2]: *** [test_socks5] Error 1

Because the epoll_pwait and the epoll system call has been implemented in the 2.6.32 AFAIK.

Child Tickets

Change History (1)

comment:1 Changed 12 months ago by dgoulet

Resolution: wontfix
Status: newclosed

Sorry, 2.6.31 is just too old of a kernel. Not supported anymore.

Note: See TracTickets for help on using tickets.